Package org.codehaus.groovy.classgen.asm

# Interface WriterControllerFactory

All Known Implementing Classes:
  `StaticTypesWriterControllerFactoryImpl`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface WriterControllerFactory
A non-static factory to get alternative writer controller to be stored in the metadata

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WriterController`
  `makeController(WriterController normalController)`

- ## Method Details

  - ### makeController

    WriterController makeController(WriterController normalController)